%THIS SOURCE CODE IS SUPPLIED "AS IS" WITHOUT WARRANY OF ANY KIND, AND ITS AUTHOR
%AND THE JOURNAL OF ARTIFICIAL INTELLIGENCE RESEARCH (JAIR) AND JAIR'S
%PUBLISHERS AND DISTRIBUTORS, DISCLAIM ANY AND ALL WARRANTIES, INCLUDING BUT NOT 
%LIMITED TO ANY IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
%PURPOSE, AND ANY WARRANTIES OR NON INFRINGEMENT.  THE USER ASSUMES ALL LIABILITY
%AND RESPONSIBILITY FOR USE OF THIS SOURCE CODE, AND NEITHER THE AUTHOR NOR JAIR, 
%NOR JAIR'S PUBLISHERS AND DISTRIBUTORS, WILL BE LIABLE FOR DAMAGES OF ANY KIND
%RESULTING FROM ITS USE. WITHOUT LIMITING THE GENERALITY OF THE FOREGOING, NEITHER 
%THE AUTHOR, NOR JAIR, NOR JAIR'S PUBLISHERS AND DISTRIBUTORS, WARRANT THAT THE
%SOURCE CODE WILL BE ERROR-FREE, WILL OPERATE WITHOUT INTERRUPTION, OR WILL MEET 
%THE NEEDS OF THE USER.

classdef classconfig
% SUMMARY: This object defines parameter values for the Mountain Car
%   problem.  It provides a convenient place to tweak and test without
%   using complicated function input.
    properties
        gamma = [];
        timestep = [];
        integration_timestep = [];
        seed_episodes = [];
        iterations = [];        
        bandwidth = [];
        exploration_parameter = [];
        action_bounds = [];
    end
    methods
        function a = classconfig()
            % gamma is the discount factor
            a.gamma = .9;
            a.timestep = .15;
            a.integration_timestep = .001;
            a.seed_episodes = 20;
            a.iterations = 7500;            
            a.bandwidth = .2;            
            a.exploration_parameter = .9;
            a.action_bounds = [-4, 4];
        end
    end
end

