%THIS SOURCE CODE IS SUPPLIED "AS IS" WITHOUT WARRANY OF ANY KIND, AND ITS AUTHOR
%AND THE JOURNAL OF ARTIFICIAL INTELLIGENCE RESEARCH (JAIR) AND JAIR'S
%PUBLISHERS AND DISTRIBUTORS, DISCLAIM ANY AND ALL WARRANTIES, INCLUDING BUT NOT 
%LIMITED TO ANY IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
%PURPOSE, AND ANY WARRANTIES OR NON INFRINGEMENT.  THE USER ASSUMES ALL LIABILITY
%AND RESPONSIBILITY FOR USE OF THIS SOURCE CODE, AND NEITHER THE AUTHOR NOR JAIR, 
%NOR JAIR'S PUBLISHERS AND DISTRIBUTORS, WILL BE LIABLE FOR DAMAGES OF ANY KIND
%RESULTING FROM ITS USE. WITHOUT LIMITING THE GENERALITY OF THE FOREGOING, NEITHER 
%THE AUTHOR, NOR JAIR, NOR JAIR'S PUBLISHERS AND DISTRIBUTORS, WARRANT THAT THE
%SOURCE CODE WILL BE ERROR-FREE, WILL OPERATE WITHOUT INTERRUPTION, OR WILL MEET 
%THE NEEDS OF THE USER.

function create_figure(position)
% SUMMARY: This function creates a figure of the Mountain Car problem
%   helpful for troubleshooting and creating movies
% INPUT: The position of the car
star = imread('star.jpg');
clf
hold on
axis([-1.2 1.2 -1 1])
first_half_x = -1:.01:0;
first_half_y = first_half_x.^2 + first_half_x;
second_half_x = 0:.01:1;
second_half_y = second_half_x./(1+5*second_half_x.^2).^.5;
plot(first_half_x, first_half_y);
plot(second_half_x, second_half_y);    
point_x = position;
if (position <= 0)
    point_y = position^2 + position + .05;
else
    point_y = position/(1+5*position^2)^.5 + .05;
end
scatter(point_x, point_y);
image([.95 1.05],[.6 .5],star);
